From 76dfe624d0b61b3c4cbfd7a73e702d5d2842665b Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Nov 30 2020 05:50:54 +0000
Subject: [PATCH 1626/2232] Pull in syn 1.0.53 for negative impl support


---

diff --git a/gen/build/Cargo.toml b/gen/build/Cargo.toml
index ebcb93e..d525407 100644
--- a/gen/build/Cargo.toml
+++ b/gen/build/Cargo.toml
@@ -18,7 +18,7 @@ lazy_static = "1.4"
 proc-macro2 = { version = "1.0.17", default-features = false, features = ["span-locations"] }
 quote = { version = "1.0", default-features = false }
 scratch = "1.0"
-syn = { version = "1.0.20", default-features = false, features = ["parsing", "printing", "clone-impls", "full"] }
+syn = { version = "1.0.53", default-features = false, features = ["parsing", "printing", "clone-impls", "full"] }
 
 [dev-dependencies]
 cxx-gen = { version = "0.7", path = "../lib" }
diff --git a/gen/cmd/Cargo.toml b/gen/cmd/Cargo.toml
index 5eb5b13..efe30fa 100644
--- a/gen/cmd/Cargo.toml
+++ b/gen/cmd/Cargo.toml
@@ -20,7 +20,7 @@ clap = "2.33"
 codespan-reporting = "0.9"
 proc-macro2 = { version = "1.0.17", default-features = false, features = ["span-locations"] }
 quote = { version = "1.0", default-features = false }
-syn = { version = "1.0.20", default-features = false, features = ["parsing", "printing", "clone-impls", "full"] }
+syn = { version = "1.0.53", default-features = false, features = ["parsing", "printing", "clone-impls", "full"] }
 
 [package.metadata.docs.rs]
 targets = ["x86_64-unknown-linux-gnu"]
diff --git a/gen/lib/Cargo.toml b/gen/lib/Cargo.toml
index ff05489..71eabfa 100644
--- a/gen/lib/Cargo.toml
+++ b/gen/lib/Cargo.toml
@@ -15,7 +15,7 @@ cc = "1.0.49"
 codespan-reporting = "0.9"
 proc-macro2 = { version = "1.0.17", default-features = false, features = ["span-locations"] }
 quote = { version = "1.0", default-features = false }
-syn = { version = "1.0.20", default-features = false, features = ["parsing", "printing", "clone-impls", "full"] }
+syn = { version = "1.0.53", default-features = false, features = ["parsing", "printing", "clone-impls", "full"] }
 
 [package.metadata.docs.rs]
 targets = ["x86_64-unknown-linux-gnu"]
diff --git a/macro/Cargo.toml b/macro/Cargo.toml
index 1e16728..e10d8c2 100644
--- a/macro/Cargo.toml
+++ b/macro/Cargo.toml
@@ -17,7 +17,7 @@ proc-macro = true
 [dependencies]
 proc-macro2 = "1.0"
 quote = "1.0.4"
-syn = { version = "1.0.20", features = ["full"] }
+syn = { version = "1.0.53", features = ["full"] }
 
 [dev-dependencies]
 cxx = { version = "1.0", path = ".." }
diff --git a/third-party/BUCK b/third-party/BUCK
index 4414319..0a2a665 100644
--- a/third-party/BUCK
+++ b/third-party/BUCK
@@ -72,7 +72,7 @@ rust_library(
 
 rust_library(
     name = "syn",
-    srcs = glob(["vendor/syn-1.0.52/src/**"]),
+    srcs = glob(["vendor/syn-1.0.53/src/**"]),
     visibility = ["PUBLIC"],
     features = [
         "clone-impls",
diff --git a/third-party/BUILD b/third-party/BUILD
index bbfa648..79999d3 100644
--- a/third-party/BUILD
+++ b/third-party/BUILD
@@ -78,7 +78,7 @@ rust_library(
 
 rust_library(
     name = "syn",
-    srcs = glob(["vendor/syn-1.0.52/src/**"]),
+    srcs = glob(["vendor/syn-1.0.53/src/**"]),
     crate_features = [
         "clone-impls",
         "derive",
